> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticketpriorityescalateevent

> MDO list provider for ticket Priority EscalateEvents enum.

## "ticketpriorityescalateevent" MDO List

MDO list provider for ticket Priority EscalateEvents enum.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketPriorityEscalateEventsProvider">TicketPriorityEscalateEventsProvider</see> class.
The name of the MDO list is 'ticketpriorityescalateevent'.

## Additional Attributes

| Description                             | Name | Example Value |
| --------------------------------------- | ---- | ------------- |
| Include all existing values in the enum |      | all           |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticketpriorityescalateevent
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticketpriorityescalateevent", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| 0  | Stop     |           | Stop      |
| 1  | Continue |           | Continue  |
| 2  | Restart  |           | Restart   |

## Related MDO Lists

* "ticketpriorityescalateeventheadings"
* "ticketpriorityescalateeventheadingswithallitem"
* "ticketpriorityescalateeventheadingswithallitemwithnoselection"
* "ticketpriorityescalateeventheadingswithnoselection"
* "ticketpriorityescalateeventwithallitem"
* "ticketpriorityescalateeventwithallitemwithnoselection"
* "ticketpriorityescalateeventwithnoselection"


## Related topics

- [Enum TicketPriorityEscalateEvent](/en/automation/crmscript/reference/CRMScript.NetServer.TicketPriorityEscalateEvent.md)
- [Enum values for TicketPriorityEscalateEvent](/en/database/tables/enums/ticketpriorityescalateevent.md)
- [SuperOffice.WebApi.Data.TicketPriorityEscalateEvent](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketPriorityEscalateEvent.md)
- [SuperOffice.WebApi.Data.TicketPriorityEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketPriorityEntity.md)
- [ticket_priority table](/en/database/tables/ticket-priority.md)
- [NSTicketPriorityEntity](/en/automation/crmscript/reference/CRMScript.NetServer.NSTicketPriorityEntity.md)
